Method: projects.locations.goldengateConnectionTypes.list

Lists GoldengateConnectionTypes in a given project and location.

HTTP request


GET https://oracledatabase.googleapis.com/v1/{parent=projects/*/locations/*}/goldengateConnectionTypes

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent value for ListGoldengateConnectionTypesRequest Format: projects/{project}/locations/{location}

Query parameters

Parameters
pageSize

integer

Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default.

pageToken

string

Optional. A token identifying a page of results the server should return.

filter

string

Optional. An expression for filtering the results of the request. The connectionType field must be specified in the format: connectionType="ORACLE".

Request body

The request body must be empty.

Response body

Message for response to listing GoldengateConnectionTypes

If successful, the response body contains data with the following structure:

JSON representation
{
  "goldengateConnectionTypes": [
    {
      object (GoldengateConnectionType)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
goldengateConnectionTypes[]

object (GoldengateConnectionType)

The list of GoldengateConnectionType

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

unreachable[]

string

Unordered list. Locations that could not be reached.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/oracle-database

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • oracledatabase.goldenGateConnectionTypes.list

For more information, see the IAM documentation.